Package ru.bitel.bgbilling.kernel.event

# Class PartitionedQueueEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public abstract class PartitionedQueueEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

В отличие от `Event` доставляется только одному слушателю

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `PartitionedQueueEvent()` |
  `` | `PartitionedQueueEvent​(int moduleId, int contractId, int userId)` |
  `` | `PartitionedQueueEvent​(int moduleId, int pluginId, int contractId, int userId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getDestination​(java.lang.Class<?> clazz)` |
  `static java.lang.String` | `getDestinationMask​(java.lang.Class<?> clazz, int partitionValue)` |
  `protected abstract java.lang.String` | `getPackageName()` |
  `protected abstract int` | `getPartitionValue()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PartitionedQueueEvent

    protected PartitionedQueueEvent()

  - ### PartitionedQueueEvent

    public PartitionedQueueEvent​(int moduleId, int pluginId, int contractId, int userId)

  - ### PartitionedQueueEvent

    public PartitionedQueueEvent​(int moduleId, int contractId, int userId)

- ## Method Details

  - ### getPackageName

    protected abstract java.lang.String getPackageName()

  - ### getPartitionValue

    protected abstract int getPartitionValue()

  - ### getDestination

    public java.lang.String getDestination​(java.lang.Class<?> clazz)
    Overrides:
      `getDestination` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getDestinationMask

    public static final java.lang.String getDestinationMask​(java.lang.Class<?> clazz, int partitionValue)